%define snapshot 0

%ifarch %{arm}
%define build_docs 0
%else
%define build_docs 1
%endif

%define qtmajor 5
%define qtminor 6
%define qtsubminor 2
%define qtenginio_major 1

%define rel 1
%define pre rc

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}
%define qtenginio_version %{qtenginio_major}.%{qtminor}.%{qtsubminor}

%define libqtenginio %mklibname qtenginio %qtenginio_major
%define libqtenginio_d %mklibname qt5enginio -d
%define libqtenginio_p_d %mklibname qt5enginio-private -d

%if %snapshot
%define qttarballdir qtenginio-opensource-src-%{qtenginio_version}-%pre
%else
%define qttarballdir qtenginio-opensource-src-%{qtenginio_version}
%endif

Name: qtenginio5
Epoch:   1
Version: %{qtenginio_version}
Release: %mkrel %{rel}
Summary: Qt5 Enginio component
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{qtversion}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel >= %version
BuildRequires: qt5quick-devel >= %version
#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
Client library for accessing Enginio service from Qt and QML code.

%files
%{_qt5_qml}/Enginio

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary: QtEnginio%{qtmajor} APIs and tools docs
Group:   Documentation
BuildArch: noarch
BuildRequires: qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires: qttools5-assistant
Recommends: qttools5-assistant

%description doc
Documentation for APIs and tools in QtEnginio5 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtenginio.qch
%{_qt5_docdir}/qtenginio/
%{_qt5_docdir}/qtenginiooverview.qch
%{_qt5_docdir}/qtenginiooverview/
%{_qt5_docdir}/qtenginioqml.qch
%{_qt5_docdir}/qtenginioqml/
%endif

#------------------------------------------------------------------------------

%package -n %{libqtenginio}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries

%description -n %{libqtenginio}
Qt%{qtmajor} Component Library.

%files -n %{libqtenginio}
%{_qt5_libdir}/libEnginio.so.%{qtenginio_major}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtenginio_d}
Summary: Devel files needed to build apps based on QtEnginio
Group:    Development/KDE and Qt
Requires: %{libqtenginio} = %epoch:%version
Provides: libqtenginio5-devel = %epoch:%version
Provides: libqt5enginio-devel = %epoch:%version
Provides: qtenginio5-devel = %epoch:%version
Provides: qt5enginio-devel = %epoch:%version

%description -n %{libqtenginio_d}
Devel files needed to build apps based on QtEnginio.

%files -n %{libqtenginio_d}
%{_qt5_libdir}/libEnginio.so
%{_qt5_libdir}/libEnginio.prl
%{_qt5_libdir}/pkgconfig/Enginio.pc
%{_qt5_includedir}/Enginio
%{_qt5_datadir}/mkspecs/modules/qt_lib_enginio.pri
%{_qt5_datadir}/mkspecs/modules/qt_lib_enginio_private.pri
%{_qt5_libdir}/cmake/Qt5Enginio
%{_qt5_examplesdir}/enginio

#------------------------------------------------------------------------------

%prep
%setup -q -n qtenginio-opensource-src-%{qtenginio_version}
%autopatch -p1

%build
%qmake_qt5
%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

rm -f %{buildroot}%{_qt5_libdir}/libEnginio.la


%changelog
* Sun Dec 04 2016 daviddavid <daviddavid> 1:1.6.2-1.mga6
+ Revision: 1071911
- New version 1.6.2

* Fri Sep 02 2016 daviddavid <daviddavid> 1:1.6.1-3.mga6
+ Revision: 1049778
- build missing docs part (mga#9812)
- add qtenginio5-doc subpackage

* Sun Jul 03 2016 tmb <tmb> 1:1.6.1-2.mga6
+ Revision: 1038493
- sigh... fix spec
- sigh... upload missing tarball

  + neoclust <neoclust>
    - Update to version 5.6.1-1
    - New version
    - New version
    - New version 1.6.0 rc
    - Rebuild Qt5 Stack to fix plasma crashes

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.3.mga6
+ Revision: 915931
- Rebuild against new cmake to have cmake() provides

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.2.mga6
+ Revision: 915787
- Rebuild against new cmake to have cmake() provides

* Sat Dec 19 2015 neoclust <neoclust> 5.6.0-0.beta.1.mga6
+ Revision: 912251
- New version 1.6.0 Beta

* Tue Nov 10 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 900385
- Rebuild against fixed qtbase5

* Fri Oct 23 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 894495
- New version

* Sun Jul 12 2015 filipesaraiva <filipesaraiva> 5.5.0-1.mga6
+ Revision: 853378
- Update to Qt 5.5.0 version;
- Fix URL to new address qt.io;

* Tue Jun 23 2015 neoclust <neoclust> 5.5.0-0.rc.1.mga6
+ Revision: 840199
- New version 5.5 rc
- New version 5.4.0

* Sun Dec 07 2014 neoclust <neoclust> 5.3.2-1.mga5
+ Revision: 801799
- New version 5.3.2

* Wed Oct 15 2014 umeabot <umeabot> 5.3.1-3.mga5
+ Revision: 749364
- Second Mageia 5 Mass Rebuild

* Sun Oct 12 2014 umeabot <umeabot> 5.3.1-2.mga5
+ Revision: 738089
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 fwang <fwang> 5.3.1-1.mga5
+ Revision: 639775
- 5.3.1

* Tue May 20 2014 fwang <fwang> 5.3.0-1.mga5
+ Revision: 624086
- 5.3.0 final

* Fri May 09 2014 fwang <fwang> 5.3.0-0.rc.1.mga5
+ Revision: 621411
- 5.3.0 rc

* Sun Apr 06 2014 fwang <fwang> 5.3.0-0.beta.1.mga5
+ Revision: 612408
- update file list
- more include patch
- br quick5
- drop .la file
- update file list
- add br
- more include
- try using pwd
- fix include path
- imported package qtenginio5

